commit: 1c501ce62778e8e8dda63bb285de2ae421551826
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:27:06 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:38:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c501ce6
sci-chemistry/pdb2pqr: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r1.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r1.ebuild
b/sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r1.ebuild
index 46766b7715e..8f367caec92 100644
--- a/sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r1.ebuild
+++ b/sci-chemistry/pdb2pqr/pdb2pqr-1.9.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -19,7 +19,10 @@ KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
sci-chemistry/openbabel-python[${PYTHON_USEDEP}]
opal? ( dev-python/zsi[${PYTHON_USEDEP}] )
pdb2pka? ( sci-chemistry/apbs[${PYTHON_USEDEP},-mpi] )"